#!/usr/bin/python
# -*-mode: coding: utf-8 -*-

import pango, pangocairo, cairo

surface = cairo.ImageSurface (cairo.FORMAT_RGB24, 0, 0)
cr = pangocairo.CairoContext (cairo.Context (surface))
layout = cr.create_layout ();

layout.set_markup ('''<span font_desc="200" weight="bold"
                            color="#C00000">Παν語</span>\n<span
                      font_desc="Nazli 230" fallback="false"
                      >&#x00E5;&#xBEFA;&#x4D4B;&#xAD0D;</span>''')
layout.set_alignment (pango.ALIGN_CENTER)

ink, rect = layout.get_pixel_extents ()

surface = cairo.ImageSurface (cairo.FORMAT_RGB24, rect[2], rect[3])
cr = pangocairo.CairoContext (cairo.Context (surface))

cr.set_source_rgb (1., 1., 1.)
cr.paint ()

cr.set_source_rgb (0., 0., 0.)
cr.move_to (-rect[0], -rect[1])
cr.show_layout (layout)

surface.write_to_png ("pango.png")
